<div *ngIf="actividades !== undefined && actividades.length === 0 "
    class="d-flex flex-column align-items-center justify-content-center vh-100">
    <img src="../../../../../assets/img/NoActividades.png" width="280px" class="img-fluid mb-4 d-block mx-auto">
    <h2 class="text-center">Aún no hay actividades</h2>
</div>

<div class="container">
    <div *ngIf="actividades !== undefined && actividades.length !== 0">
        <h3>Actividades</h3>
        <h4>{{porcentaje}}%</h4>
        <div *ngFor="let datos of actividades; let i = index" class="d-flex align-items-center mb-3">
            <div class="mr-3">
                <div class="form-check form-check-inline form-check-lg">
                    <input class="form-check form-check-input form-check-default" type="checkbox"
                        [checked]="datos.statusToDo === 'Completado'" (change)="completado(datos)">
                </div>
            </div>
            <div class="mr-3">
                <span class="cursor" (click)="mostrarDetalles(i)">
                    <img [src]="'http://localhost:8080/imgs/usuarios/' + datos.imagenUsuario"
                        class="pfp d-none d-xl-block d-xxl-block"
                        title="{{datos.nombreUsuario}} {{datos.apellidoUsuario}}" style="margin-left: 30px;">
                </span>
            </div>
            <div class="flex-grow-1">
                <div class="ellipsis" title="{{datos.tituloToDo}}">
                    <span class="cursor" [ngStyle]="{'color': datos.seleccionado === 'Si' ? 'blue' : 'inherit'}"
                        (click)="mostrarDetalles(i)">{{datos.tituloToDo}}</span>
                </div>
            </div>
            <div class="ml-auto">
                <span class="etiqueta" style="background-color: blue;"
                    *ngIf="datos.idReunionIniciada == idReunionIniciada">Nuevo</span>
                <span class="etiqueta" style="background-color: rgb(255, 0, 0);"
                    *ngIf="tarde(datos.dueDateToDo) && datos.statusToDo=='Activo'">Tarde</span>
                <button class="btn" (click)="abrirNuevoProblemaModal(datos)">
                    <img src="../../../../../assets/img/ProblemaGris.png" title="Crear problema" width="30px" alt="">
                </button>
            </div>
        </div>

    </div>
</div>


<ng-template #crearProblemaModal class="modal fade">
    <div class="modal-content">
        <form id="nuevoProblemaAsunto">
            <div class="modal-header">
                <h4 class="modal-title">Crear problema</h4>
                <button type="button" class="close" (click)="cerrarModal()">X</button>
            </div>
            <div class="modal-body">
                <div class="form-group ">
                    <label for="nombreIndicador">Titulo</label>
                    <input type="text" class="form-control" id="nombreIndicador" name="nombreIndicador" required
                        [(ngModel)]="problema.nombreIssue">
                </div>
                <div class="form-group">
                    <label>Detalles</label>
                    <ckeditor name="detallesGoal" [editor]="Editor" [(ngModel)]="problema.detallesIssue">
                    </ckeditor>
                </div>
                <div class="form-group ">
                    <ng-select name="idUsuario" class="custom-select mt-3" [(ngModel)]="problema.idUsuario">
                        <ng-option *ngFor="let options of participantes" [value]="options.idUsuario">
                            <div class="option-content">
                                <img [src]="'http://localhost:8080/imgs/usuarios/' + options.pfp" class="pfp"
                                    alt="{{options.nombre}}">
                                <span>{{options.nombre}} {{options.apellido}}</span>
                            </div>
                        </ng-option>
                    </ng-select>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" (click)="cerrarModal()">Cancelar</button>
                <button type="button" class="btn btn-success" (click)="agregarProblema()">Agregar</button>
            </div>
        </form>
    </div>
</ng-template>